from crewai.tools import tool
import httpx
from bs4 import BeautifulSoup
import requests
from requests.auth import HTTPBasicAuth
import json
# importing required classes
from pypdf import PdfReader


@tool("pdfScrapingTool")
def pdfScrapingTool(url: str) -> str:
    """
    Scrapes content of the pdf file from path and extract the content.

    Args:
        
        path (str): path to the pdf file


    Returns:
        str: the Scraped content.
    """
    

    content = []
    
    try:
        # creating a pdf reader object
        reader = PdfReader(url)
        # creating a page object
        page = reader.pages[0]
        
        text = page.extract_text()
        content.append(text)  # Append the extracted text to the content list

    except Exception as e:
        content.append(f"Error accessing {url}: {e}")

    return "\n".join(content) if content else "No content found"
